> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dataraven.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Invitation

> Revoke a pending invitation.

**Required Role:** ADMIN or OWNER

Only works for invitations with status 'pending'.



## OpenAPI

````yaml DELETE /v1/teams/{team_id}/invitations/{invitation_id}
openapi: 3.1.0
info:
  title: Data Raven API
  description: Cloud-to-cloud data transfer platform powered by RClone
  version: 0.5.0
servers: []
security: []
paths:
  /v1/teams/{team_id}/invitations/{invitation_id}:
    delete:
      tags:
        - Invitations
      summary: Revoke Invitation
      description: |-
        Revoke a pending invitation.

        **Required Role:** ADMIN or OWNER

        Only works for invitations with status 'pending'.
      operationId: revoke_invitation_v1_teams__team_id__invitations__invitation_id__delete
      parameters:
        - name: team_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Team Id
        - name: invitation_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Invitation Id
      responses:
        '204':
          description: Successful Response
        '400':
          description: Invitation cannot be revoked (not pending)
        '404':
          description: Invitation not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '429':
          description: Rate limit exceeded
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````